orbit.actuators
===============

.. automodule:: omni.isaac.orbit.actuators

  .. rubric:: Classes

  .. autosummary::

    ActuatorBase
    ActuatorBaseCfg
    ImplicitActuator
    ImplicitActuatorCfg
    IdealPDActuator
    IdealPDActuatorCfg
    DCMotor
    DCMotorCfg
    ActuatorNetMLP
    ActuatorNetMLPCfg
    ActuatorNetLSTM
    ActuatorNetLSTMCfg

Actuator Base
-------------

.. autoclass:: ActuatorBase
  :members:
  :inherited-members:

.. autoclass:: ActuatorBaseCfg
  :members:
  :inherited-members:
  :exclude-members: __init__, class_type

Implicit Actuator
-----------------

.. autoclass:: ImplicitActuator
  :members:
  :inherited-members:
  :show-inheritance:

.. autoclass:: ImplicitActuatorCfg
  :members:
  :inherited-members:
  :show-inheritance:
  :exclude-members: __init__, class_type

Ideal PD Actuator
-----------------

.. autoclass:: IdealPDActuator
  :members:
  :inherited-members:
  :show-inheritance:

.. autoclass:: IdealPDActuatorCfg
  :members:
  :inherited-members:
  :show-inheritance:
  :exclude-members: __init__, class_type

DC Motor Actuator
-----------------

.. autoclass:: DCMotor
  :members:
  :inherited-members:
  :show-inheritance:

.. autoclass:: DCMotorCfg
  :members:
  :inherited-members:
  :show-inheritance:
  :exclude-members: __init__, class_type

MLP Network Actuator
---------------------

.. autoclass:: ActuatorNetMLP
  :members:
  :inherited-members:
  :show-inheritance:

.. autoclass:: ActuatorNetMLPCfg
  :members:
  :inherited-members:
  :show-inheritance:
  :exclude-members: __init__, class_type


LSTM Network Actuator
---------------------

.. autoclass:: ActuatorNetLSTM
  :members:
  :inherited-members:
  :show-inheritance:

.. autoclass:: ActuatorNetLSTMCfg
  :members:
  :inherited-members:
  :show-inheritance:
  :exclude-members: __init__, class_type
